更新 windowsManagementAppHealthState

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

更新 windowsManagementAppHealthState 对象 的属性。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementConfiguration.ReadWrite.All、DeviceManagementManagedDevices.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementConfiguration.ReadWrite.All、DeviceManagementManagedDevices.ReadWrite.All

HTTP 请求

PATCH /deviceAppManagement/windowsManagementApp/healthStates/{windowsManagementAppHealthStateId}

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 windowsManagementAppHealthState 对象的 JSON 表示形式。

下表显示创建 windowsManagementAppHealthState 时所需的属性

属性 类型 说明
id String 管理应用Windows状态的唯一标识符。 此属性是只读的。
healthState healthState Windows管理应用运行状况状态。 可取值为:unknownhealthyunhealthy
installedVersion String Windows管理应用安装的版本。
lastCheckInDateTime DateTimeOffset Windows管理应用上次签入时间。
deviceName String 安装了管理应用Windows的名称。
deviceOSVersion String Windows 10安装管理应用的设备Windows操作系统版本。

响应

如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK windowsManagementAppHealthState 对象。

示例

请求

下面是一个请求示例。

PATCH https://graph.microsoft.com/beta/deviceAppManagement/windowsManagementApp/healthStates/{windowsManagementAppHealthStateId}
Content-type: application/json
Content-length: 300

{
  "@odata.type": "#microsoft.graph.windowsManagementAppHealthState",
  "healthState": "healthy",
  "installedVersion": "Installed Version value",
  "lastCheckInDateTime": "2016-12-31T23:59:56.413532-08:00",
  "deviceName": "Device Name value",
  "deviceOSVersion": "Device OSVersion value"
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 349

{
  "@odata.type": "#microsoft.graph.windowsManagementAppHealthState",
  "id": "5c7e50fb-50fb-5c7e-fb50-7e5cfb507e5c",
  "healthState": "healthy",
  "installedVersion": "Installed Version value",
  "lastCheckInDateTime": "2016-12-31T23:59:56.413532-08:00",
  "deviceName": "Device Name value",
  "deviceOSVersion": "Device OSVersion value"
}